Subject: Re: [PATCH 01/20] git.c: update NO_PARSEOPT markings

From: Ævar Arnfjörð Bjarmason <[email-masked]>
Date: Thu, 04 Aug 2022 09:47:33 +0200

On Wed, Aug 03 2022, SZEDER Gábor wrote:

> [...]
> hitting 'git cmd --<TAB>' while outside a repository doesn't even
> reaches parse_options() if that command requires a repository.  But
> let's leave that for later and get this series in shape first.

Hrm, I wonder how that interacts with the git-completion.bash caching in
a bad way, i.e. if we were to emit options in a non-repo, then the user
cd's to a repo and tab-completes...